Hermos API

List Customer Entitlements

Current access for the customer, including gifts received, evaluated from recorded windows. Ordered by entitlement id ascending. Product name and reference identify the access; a null paid_through does not imply lifetime access.

GET/customers/{customer}/entitlements

Current access for the customer, including gifts received, evaluated from recorded windows. Ordered by entitlement id ascending. Product name and reference identify the access; a null paid_through does not imply lifetime access.

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

customer*string

Opaque customer ID.

Match^cst_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/customers/string/entitlements"
{  "data": [    {      "object": "entitlement",      "id": "string",      "livemode": true,      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",      "name": "string",      "key": "string",      "paid_through": "2019-08-24T14:15:22Z",      "access_until": "2019-08-24T14:15:22Z",      "source_subscription_id": "string"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}